> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1externalusergroup 1



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json get /api/v1/ExternalUserGroup/{id}
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/ExternalUserGroup/{id}:
    get:
      tags:
        - ExternalUserGroup
      operationId: ExternalUserGroup_Get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExternalUserGroupResult'
components:
  schemas:
    GetExternalUserGroupResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            ExternalUserGroup:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/ExternalUserGroup'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ExternalUserGroup:
      type: object
      additionalProperties: false
      required:
        - ExternalAuthenticationProviderId
        - ExternalId
        - Name
      properties:
        Id:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          minLength: 1
        ExternalId:
          type: string
          minLength: 1
        Name:
          type: string
          minLength: 1
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````